Package org.apache.storm.generated

# Class Grouping

java.lang.Object
org.apache.storm.thrift.TUnion<Grouping,Grouping._Fields>
org.apache.storm.generated.Grouping

All Implemented Interfaces:
  `Serializable`, `Comparable<Grouping>`, `org.apache.storm.thrift.TBase<Grouping,Grouping._Fields>`, `org.apache.storm.thrift.TSerializable`

@Generated("Autogenerated by Thrift Compiler (0.19.0)") public class Grouping extends org.apache.storm.thrift.TUnion<Grouping,Grouping._Fields>

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Grouping._Fields`
  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Map<Grouping._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>`
  `metaDataMap`

  ### Fields inherited from class org.apache.storm.thrift.TUnion

  `setField_, value_`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Grouping()`
  `Grouping(Grouping other)`
  `Grouping(Grouping._Fields setField, Object value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Grouping`
  `all(NullStruct value)`
  `ByteBuffer`
  `buffer_for_custom_serialized()`
  `protected void`
  `checkType(Grouping._Fields setField, Object value)`
  `int`
  `compareTo(Grouping other)`
  `static Grouping`
  `custom_object(JavaObject value)`
  `static Grouping`
  `custom_serialized(byte[] value)`
  `static Grouping`
  `custom_serialized(ByteBuffer value)`
  `Grouping`
  `deepCopy()`
  `static Grouping`
  `direct(NullStruct value)`
  `protected Grouping._Fields`
  `enumForId(short id)`
  `boolean`
  `equals(Object other)`
  `boolean`
  `equals(Grouping other)`
  `Grouping._Fields`
  `fieldForId(int fieldId)`
  `static Grouping`
  `fields(List<String> value)`
  `NullStruct`
  `get_all()`
  `JavaObject`
  `get_custom_object()`
  `byte[]`
  `get_custom_serialized()`
  `NullStruct`
  `get_direct()`
  `List<String>`
  `get_fields()`
  `NullStruct`
  `get_local_or_shuffle()`
  `NullStruct`
  `get_none()`
  `NullStruct`
  `get_shuffle()`
  `protected org.apache.storm.thrift.protocol.TField`
  `getFieldDesc(Grouping._Fields setField)`
  `protected org.apache.storm.thrift.protocol.TStruct`
  `getStructDesc()`
  `int`
  `hashCode()`
  `boolean`
  `is_set_all()`
  `boolean`
  `is_set_custom_object()`
  `boolean`
  `is_set_custom_serialized()`
  `boolean`
  `is_set_direct()`
  `boolean`
  `is_set_fields()`
  `boolean`
  `is_set_local_or_shuffle()`
  `boolean`
  `is_set_none()`
  `boolean`
  `is_set_shuffle()`
  `static Grouping`
  `local_or_shuffle(NullStruct value)`
  `static Grouping`
  `none(NullStruct value)`
  `void`
  `set_all(NullStruct value)`
  `void`
  `set_custom_object(JavaObject value)`
  `void`
  `set_custom_serialized(byte[] value)`
  `void`
  `set_custom_serialized(ByteBuffer value)`
  `void`
  `set_direct(NullStruct value)`
  `void`
  `set_fields(List<String> value)`
  `void`
  `set_local_or_shuffle(NullStruct value)`
  `void`
  `set_none(NullStruct value)`
  `void`
  `set_shuffle(NullStruct value)`
  `static Grouping`
  `shuffle(NullStruct value)`
  `protected Object`
  `standardSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, org.apache.storm.thrift.protocol.TField field)`
  `protected void`
  `standardSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot)`
  `protected Object`
  `tupleSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, short fieldID)`
  `protected void`
  `tupleSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot)`

  ### Methods inherited from class org.apache.storm.thrift.TUnion

  `clear, getFieldValue, getFieldValue, getFieldValue, getSetField, isSet, isSet, isSet, read, setFieldValue, setFieldValue, toString, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### metaDataMap

    public static final Map<Grouping._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

- ## Constructor Details

  - ### Grouping

    public Grouping()

  - ### Grouping

    public Grouping(Grouping._Fields setField, Object value)

  - ### Grouping

    public Grouping(Grouping other)

- ## Method Details

  - ### deepCopy

    public Grouping deepCopy()

  - ### fields

    public static Grouping fields(List<String> value)

  - ### shuffle

    public static Grouping shuffle(NullStruct value)

  - ### all

    public static Grouping all(NullStruct value)

  - ### none

    public static Grouping none(NullStruct value)

  - ### direct

    public static Grouping direct(NullStruct value)

  - ### custom_object

    public static Grouping custom_object(JavaObject value)

  - ### custom_serialized

    public static Grouping custom_serialized(ByteBuffer value)

  - ### custom_serialized

    public static Grouping custom_serialized(byte[] value)

  - ### local_or_shuffle

    public static Grouping local_or_shuffle(NullStruct value)

  - ### checkType

    protected void checkType(Grouping._Fields setField, Object value) throws ClassCastException
    Specified by:
      `checkType` in class `org.apache.storm.thrift.TUnion<Grouping,Grouping._Fields>`
    Throws:
      `ClassCastException`

  - ### standardSchemeReadValue

    protected Object standardSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, org.apache.storm.thrift.protocol.TField field) throws org.apache.storm.thrift.TException
    Specified by:
      `standardSchemeReadValue` in class `org.apache.storm.thrift.TUnion<Grouping,Grouping._Fields>`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### standardSchemeWriteValue

    protected void standardSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot) throws org.apache.storm.thrift.TException
    Specified by:
      `standardSchemeWriteValue` in class `org.apache.storm.thrift.TUnion<Grouping,Grouping._Fields>`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### tupleSchemeReadValue

    protected Object tupleSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, short fieldID) throws org.apache.storm.thrift.TException
    Specified by:
      `tupleSchemeReadValue` in class `org.apache.storm.thrift.TUnion<Grouping,Grouping._Fields>`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### tupleSchemeWriteValue

    protected void tupleSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot) throws org.apache.storm.thrift.TException
    Specified by:
      `tupleSchemeWriteValue` in class `org.apache.storm.thrift.TUnion<Grouping,Grouping._Fields>`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getFieldDesc

    protected org.apache.storm.thrift.protocol.TField getFieldDesc(Grouping._Fields setField)
    Specified by:
      `getFieldDesc` in class `org.apache.storm.thrift.TUnion<Grouping,Grouping._Fields>`

  - ### getStructDesc

    protected org.apache.storm.thrift.protocol.TStruct getStructDesc()
    Specified by:
      `getStructDesc` in class `org.apache.storm.thrift.TUnion<Grouping,Grouping._Fields>`

  - ### enumForId

    protected Grouping._Fields enumForId(short id)
    Specified by:
      `enumForId` in class `org.apache.storm.thrift.TUnion<Grouping,Grouping._Fields>`

  - ### fieldForId

    public Grouping._Fields fieldForId(int fieldId)

  - ### get_fields

    public List<String> get_fields()

  - ### set_fields

    public void set_fields(List<String> value)

  - ### get_shuffle

    public NullStruct get_shuffle()

  - ### set_shuffle

    public void set_shuffle(NullStruct value)

  - ### get_all

    public NullStruct get_all()

  - ### set_all

    public void set_all(NullStruct value)

  - ### get_none

    public NullStruct get_none()

  - ### set_none

    public void set_none(NullStruct value)

  - ### get_direct

    public NullStruct get_direct()

  - ### set_direct

    public void set_direct(NullStruct value)

  - ### get_custom_object

    public JavaObject get_custom_object()

  - ### set_custom_object

    public void set_custom_object(JavaObject value)

  - ### get_custom_serialized

    public byte[] get_custom_serialized()

  - ### buffer_for_custom_serialized

    public ByteBuffer buffer_for_custom_serialized()

  - ### set_custom_serialized

    public void set_custom_serialized(byte[] value)

  - ### set_custom_serialized

    public void set_custom_serialized(ByteBuffer value)

  - ### get_local_or_shuffle

    public NullStruct get_local_or_shuffle()

  - ### set_local_or_shuffle

    public void set_local_or_shuffle(NullStruct value)

  - ### is_set_fields

    public boolean is_set_fields()

  - ### is_set_shuffle

    public boolean is_set_shuffle()

  - ### is_set_all

    public boolean is_set_all()

  - ### is_set_none

    public boolean is_set_none()

  - ### is_set_direct

    public boolean is_set_direct()

  - ### is_set_custom_object

    public boolean is_set_custom_object()

  - ### is_set_custom_serialized

    public boolean is_set_custom_serialized()

  - ### is_set_local_or_shuffle

    public boolean is_set_local_or_shuffle()

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### equals

    public boolean equals(Grouping other)

  - ### compareTo

    public int compareTo(Grouping other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`